Bug 12901 - [S60] Browser ask permission for unsecure item load repeatedly
: [S60] Browser ask permission for unsecure item load repeatedly
Status: CLOSED FIXED
Product: WebKit
Classification: Unclassified
Component: WebKit Misc.
: 523.x (Safari 3)
: PC S60 3rd edition
: P2 Normal
Assigned To: Nobody
https://waplabdc.nokia-boston.com/bro...
: PlatformOnly
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2007-02-26 14:28 PST by Yinxiu Cai
Modified: 2011-03-21 11:53 PDT (History)
1 user (show)

See Also:


Attachments
TMCN-6Y9Q7A -- TRUE - Browser ask permission for unsecure item load repeatedly (6.53 KB, patch)
2007-02-27 08:39 PST, Yinxiu Cai
yongjun.zhang: review-
Details | Formatted Diff | Diff
TMCN-6Y9Q7A -- TRUE - Browser ask permission for unsecure item load repeatedly (3.53 KB, patch)
2007-02-27 12:17 PST, Yinxiu Cai
yongjun.zhang: review-
Details | Formatted Diff | Diff
TMCN-6Y9Q7A --Browser ask permission for unsecure item load repeatedly (3.38 KB, patch)
2007-02-27 15:09 PST, Yinxiu Cai
yongjun.zhang: review+
Details | Formatted Diff | Diff
TMCN-6Y9Q7A --Browser ask permission for unsecure item load repeatedly For 3.1 (4.06 KB, patch)
2007-03-14 14:12 PDT, Yinxiu Cai
yongjun.zhang: review+
Details | Formatted Diff | Diff
Fix armv5 urel build warning, so on (2.61 KB, patch)
2007-03-15 07:41 PDT, Yinxiu Cai
yongjun.zhang: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Yinxiu Cai 2007-02-26 14:28:47 PST
Load https://waplabdc.nokia-boston.com/browser/users/tmclean/LgImage.html
Note the two "unsecure items" warnings, one for each image
It is logical to expect only one such warning when loading a page with multiple unsecure items.
Comment 1 Yinxiu Cai 2007-02-27 08:39:42 PST
Created attachment 13399 [details]
TMCN-6Y9Q7A -- TRUE - Browser ask permission for unsecure item load repeatedly
Comment 2 Yinxiu Cai 2007-02-27 09:05:38 PST
Bug id 12901 is for 3.2
Comment 3 Yongjun Zhang 2007-02-27 09:24:47 PST
Comment on attachment 13399 [details]
TMCN-6Y9Q7A -- TRUE - Browser ask permission for unsecure item load repeatedly

I think the patch is incorrect:
1. maintaining iNonSecureItemShown in both CWebKitLoader and CHttpLoader is redundant.
2. add global flags in WebKitLoader for this purpose is generally not a good idea.
3. In CHttpLoader::CheckSecurityStatus, the patch only considered one senario when a secure page requests insecure subresources.  How about a insure page requests multiple secure sburesources. The ESecureItemInNonSecurePage   dialog will show up multiple times.

the patch is rejected based on abovementioned reasons.
Comment 4 Yinxiu Cai 2007-02-27 12:17:28 PST
Created attachment 13406 [details]
TMCN-6Y9Q7A -- TRUE - Browser ask permission for unsecure item load repeatedly

Made change according to Yongjun's comment. Thanks a lot to Yongjun.
Comment 5 Yongjun Zhang 2007-02-27 14:51:45 PST
Comment on attachment 13406 [details]
TMCN-6Y9Q7A -- TRUE - Browser ask permission for unsecure item load repeatedly

Use the right comment in header file.
don't need to copy the result to error, just pass it right to iConfirmDialogShow should be fine.
Comment 6 Yinxiu Cai 2007-02-27 15:09:28 PST
Created attachment 13413 [details]
TMCN-6Y9Q7A --Browser ask permission for unsecure item load repeatedly
Comment 7 Yongjun Zhang 2007-02-27 15:11:57 PST
Comment on attachment 13413 [details]
TMCN-6Y9Q7A --Browser ask permission for unsecure item load repeatedly

r=me
Comment 8 Bradley Morrison 2007-02-28 14:36:13 PST
(In reply to comment #7)
> (From update of attachment 13413 [details] [edit])
> r=me
> 

landed on s60/trunk (r19916)

I'll assume from your earlier comment that this is not going into 3.1, so I'll set this to resolved.
Comment 9 Krishna 2007-03-04 17:25:40 PST
Verified and Closed.
Comment 10 Yinxiu Cai 2007-03-14 14:12:15 PDT
Created attachment 13637 [details]
TMCN-6Y9Q7A --Browser ask permission for unsecure item load repeatedly For 3.1

12-Mar-2007 Linnalo: Valid for Maxi_0710 and S60_3_1_200710_RnD_rosetta. Could the fix be ported to 3.1 also? 
14-Mar2007 Yinxiu: So put to 3.1
Comment 11 Yongjun Zhang 2007-03-15 07:23:59 PDT
Comment on attachment 13637 [details]
TMCN-6Y9Q7A --Browser ask permission for unsecure item load repeatedly For 3.1

r = me
Comment 12 Yinxiu Cai 2007-03-15 07:41:00 PDT
Created attachment 13647 [details]
Fix armv5 urel build warning, so on

When put to 3.1, found armv5 urel build warning, so on. So this patch is to fix it.
Comment 13 Yongjun Zhang 2007-03-15 10:51:00 PDT
Comment on attachment 13647 [details]
Fix armv5 urel build warning, so on

r=me
Comment 14 Bradley Morrison 2007-03-16 11:00:27 PDT
(In reply to comment #11)
> (From update of attachment 13637 [details] [edit])
> r = me
> 

20238
Comment 15 Yinxiu Cai 2007-03-16 11:16:12 PDT
Hi Brad, Thank you for put patch 13637 to 3.1. Could you please put patch 13647 to 3.2(ccb)? thanks a lot.
Comment 16 Joel Parks 2011-03-21 11:53:13 PDT
re-purposing InTSW keyword for use by QtWebkit team